Bug 14008 - Filters are not displayed on search for reports
Summary: Filters are not displayed on search for reports
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 10706
Blocks:
  Show dependency treegraph
 
Reported: 2015-04-17 12:53 UTC by Katrin Fischer
Modified: 2016-12-05 21:22 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14008: Display active filters when searching for reports (3.25 KB, patch)
2015-04-17 13:28 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14008 - Proposed follow-up: Dialog should appear whenever filters are active (1.39 KB, patch)
2015-04-19 05:44 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 14008: Display active filters when searching for reports (3.30 KB, patch)
2015-04-19 17:59 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 14008 - Proposed follow-up: Dialog should appear whenever filters are active (1.44 KB, patch)
2015-04-19 17:59 UTC, M. Tompsett
Details | Diff | Splinter Review
[PASSED QA] Bug 14008: Display active filters when searching for reports (3.37 KB, patch)
2015-04-20 19:59 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 14008 - Proposed follow-up: Dialog should appear whenever filters are active (1.50 KB, patch)
2015-04-20 20:00 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2015-04-17 12:53:51 UTC
To reproduce:
- search for a keyword in your reports that exists
- search works, correct reports are displayed
- search for a keyword in your reports, that doesn't exist
- result is correct and a nice message shown
- click "use saved" in the navigation to the left to return to your
  full reports list
- nothing is shown, all reports are hiding.
Comment 1 Jonathan Druart 2015-04-17 13:28:26 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2015-04-17 13:29:43 UTC
(In reply to Katrin Fischer from comment #0)
> To reproduce:
> - search for a keyword in your reports that exists
> - search works, correct reports are displayed
> - search for a keyword in your reports, that doesn't exist
> - result is correct and a nice message shown
> - click "use saved" in the navigation to the left to return to your
>   full reports list
> - nothing is shown, all reports are hiding.

It was a feature, but did not work very well :)
This patch should remove the ambiguity.
Comment 3 Marc Véron 2015-04-19 05:44:29 UTC Comment hidden (obsolete)
Comment 4 M. Tompsett 2015-04-19 17:59:31 UTC Comment hidden (obsolete)
Comment 5 M. Tompsett 2015-04-19 17:59:36 UTC Comment hidden (obsolete)
Comment 6 M. Tompsett 2015-04-19 18:01:27 UTC
Oops... Signed off without including the "Depends on". Will re-test in 6+ hours.
Comment 7 M. Tompsett 2015-04-20 00:07:02 UTC
Retested with dependency. Sign-off holds. :)
Comment 8 Katrin Fischer 2015-04-20 19:59:31 UTC
Created attachment 38211 [details] [review]
[PASSED QA] Bug 14008: Display active filters when searching for reports

On the saved report list, the filters on the left are not displayed.
It means that some can be set, but the user has not visible feedbacks.

How filters work here:
If a user set a filter, it is saved in the session. Next time he will
come on this search, the previous values will be kept.

This patch just displayed the filter's values in the input fields.

Test plan:
Search for reports by date, author and keyword.
The filters should be displayed after you have clicked on the submit
button ("Apply filter").

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Katrin Fischer 2015-04-20 20:00:21 UTC
Created attachment 38212 [details] [review]
[PASSED QA] Bug 14008 - Proposed follow-up: Dialog should appear whenever filters are active

The first patch displays the value(s) of an active filter if you come back to the page or reload the page via a menu action.
To make the situation more clear the dialog "No saved reports match your criteria." shoudl always appear when a filter is active.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 10 Tomás Cohen Arazi 2015-04-23 15:18:45 UTC
Patches pushed to master.

Thanks Jonathan!
Comment 11 Chris Cormack 2015-05-11 22:10:23 UTC
Pushed to 3.18.x will be in 3.18.7